Subject: Re: [net-next 1/8] pci: Add flag indicating device has been assigned by KVM

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Fri, 23 Sep 2011 12:43:26 -0400

On Fri, Sep 23, 2011 at 08:45:09AM -0700, Jeff Kirsher wrote:
> On Fri, 2011-09-23 at 08:11 -0700, Rose, Gregory V wrote:
> > > -----Original Message-----
> > > From: Ian Campbell [mailto:[email-masked]]
> > > Sent: Friday, September 23, 2011 8:04 AM
> > > To: Rose, Gregory V
> > > Cc: Kirsher, Jeffrey T; [email-masked]; [email-masked]; Jesse
> > > Barnes; [email-masked]; [email-masked]; linux-
> > > [email-masked]
> > > Subject: RE: [net-next 1/8] pci: Add flag indicating device has been
> > > assigned by KVM
> > > 
> > > On Fri, 2011-09-23 at 07:41 -0700, Rose, Gregory V wrote:
> > > > > -----Original Message-----
> > > > > From: Ian Campbell [mailto:[email-masked]]
> > > > > Sent: Friday, September 23, 2011 12:28 AM
> > > > > To: Kirsher, Jeffrey T
> > > > > Cc: [email-masked]; [email-masked]; Jesse Barnes; Rose,
> > > > > Gregory V; [email-masked]; [email-masked]; linux-
> > > > > [email-masked]
> > > > > Subject: Re: [net-next 1/8] pci: Add flag indicating device has been
> > > > > assigned by KVM
> > > > >
> > > > > I suppose by that measure the comment could be less KVM specific:
> > > > > > +       /* Provide indication device is assigned by KVM */
> > > > > > +       PCI_DEV_FLAGS_ASSIGNED = (__force pci_dev_flags_t) 4,
> > > >
> > > > We can resubmit with a more generic comment, maybe this:
> > > >
> > > > /* Provide indication device is assigned by a Virtual Machine Manager */
> > > 
> > > Sounds good to me.
> > 
> > Dave, Jeff,
> > 
> > Should I resubmit the patch or would it be more convenient to post a follow on patch that fixes up the comment?  Either way is fine by me.
> > 
> > - Greg
> > 
> 
> let's fix up the patch in my tree and add Jesse Barnes's ACK at the same
> time.

Were are the patches now? I am kind of curious to see the changes to the xen pciback.